Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.testing.unit
Class ResultExpresser

    java.lang.Object
      things.testing.unit.ResultExpresser

Direct Known Subclasses:
  ResultExpresserText

    public abstract class ResultExpresser

extends java.lang.Object

Interface for expressing test results.

Version:
  1.0

  Version History

      EPG - Initial - 18 JUN 04

Author:
  Erich P. Gatejen

Nested Class Summary
`static class` | `ResultExpresser.expressionType`

Constructor Summary
`ResultExpresser()`

Method Summary
`abstract void` | `express(java.lang.String date, ResultExpresser.expressionType type, Result theResult, int index, java.lang.String name, java.lang.String message, int numberPass, int numberFail, int numberInconclusive, int numberException, int numberAbort, long time, long size, java.lang.String code, java.util.List<NV> values)` Submit a full expression.
`void` | `expressCase(java.lang.String date, Result theResult, int index, java.lang.String name, java.lang.String message, long time, long size, java.lang.String code, java.util.List<NV> values)` Submit a CASE expression.
`void` | `expressCaseSimple(java.lang.String date, Result theResult, int index, java.lang.String name, java.lang.String message)` Submit a simple CASE expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultExpresser

    public ResultExpresser()

Method Detail

### express

    public abstract void express(java.lang.String date,
                                 ResultExpresser.expressionType type,
                                 Result theResult,
                                 int index,
                                 java.lang.String name,
                                 java.lang.String message,
                                 int numberPass,
                                 int numberFail,
                                 int numberInconclusive,
                                 int numberException,
                                 int numberAbort,
                                 long time,
                                 long size,
                                 java.lang.String code,
                                 java.util.List<NV> values)
                          throws ThingsException

  Submit a full expression.

  Parameters:
    `date` - Date in string format.
    `type` - The type as an expresisonType
    `theResult` - The result as Result
    `index` - The index ply of this result (useful for nesting groups).
    `name` - The name of test.
    `message` - The message from the result.
    `numberPass` - Number of passes (as a roll-up if a group).
    `numberFail` - Number of fails (as a roll-up if a group).
    `numberInconclusive` - Number of inconclusive (as a roll-up if a group).
    `numberException` - Number of exception (as a roll-up if a group).
    `numberAbort` - Number of abort (as a roll-up if a group).
    `time` - Time in miliseconds to run. Negative number means no result.
    `size` - Size of the resulting data. Negative number means no reault.
    `code` - Error or success code from the operation (as a String). null means no code.
    `values` - A list of name/value pairs.
  Throws:
    `ThingsException`
  See Also:
    `Result`

### expressCase

    public void expressCase(java.lang.String date,
                            Result theResult,
                            int index,
                            java.lang.String name,
                            java.lang.String message,
                            long time,
                            long size,
                            java.lang.String code,
                            java.util.List<NV> values)
                     throws ThingsException

  Submit a CASE expression.

  Parameters:
    `date` - Date in string format.
    `theResult` - The result as Result
    `index` - The index ply of this result (useful for nesting groups).
    `name` - The name of test.
    `message` - The message from the result.
    `time` - Time in miliseconds to run. Negative number means no result.
    `size` - Size of the resulting data. Negative number means no reault.
    `code` - Error or success code from the operation (as a String). null means no code.
    `values` - A list of name/value pairs.
  Throws:
    `ThingsException`
  See Also:
    `Result`

### expressCaseSimple

    public void expressCaseSimple(java.lang.String date,
                                  Result theResult,
                                  int index,
                                  java.lang.String name,
                                  java.lang.String message)
                           throws ThingsException

  Submit a simple CASE expression.

  Parameters:
    `date` - Date in string format.
    `theResult` - The result as Result
    `index` - The index ply of this result (useful for nesting groups).
    `name` - The name of test.
    `message` - The message from the result.
  Throws:
    `ThingsException`
  See Also:
    `Result`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.